# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/LoadWriterManager.hpp File Reference

`#include <vlCore/ResourceLoadWriter.hpp>`
`#include <vlCore/ResourceDatabase.hpp>`
`#include <vlCore/VirtualFile.hpp>`
`#include <vlCore/Collection.hpp>`
`#include <vlCore/MemoryFile.hpp>`
`#include <vlCore/VisualizationLibrary.hpp>`

Go to the source code of this file.

## Classes

class | vl::LoadCallback
| Defines an operation to be exectued to a ResourceDatabase as soon as its loaded, see also LoadWriterManager, WriteCallback. More...
class | vl::WriteCallback
| Defines an operation to be exectued to a ResourceDatabase just before it is written, see also LoadWriterManager, LoadCallback. More...
class | vl::LoadWriterManager
| The LoadWriterManager class loads and writes resources using the registered ResourceLoadWriter objects. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Functions

VLCORE_EXPORT LoadWriterManager * | vl::defLoadWriterManager ()
| Returs the default LoadWriterManager used by Visualization Library.
VLCORE_EXPORT void | vl::setDefLoadWriterManager (LoadWriterManager *lwm)
| Sets the default LoadWriterManager used by Visualization Library.
void | vl::registerLoadWriter (ResourceLoadWriter *rlw)
| Utility function, equivalent to defLoadWriterManager()->registerLoadWriter(rlw).

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:27.
Permission is granted to use this page to write and publish articles regarding Visualization Library.